gnutls_pkcs7_get_crl_raw2(3)

NAME
gnutls_pkcs7_get_crl_raw2 - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_crl_raw2(gnutls_pkcs7_t pkcs7, int indx, gnutls_datum_t * crl);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    The pkcs7 type

int indx
    contains the index of the crl to extract

gnutls_datum_t * crl
    will contain the contents of the CRL in an allocated buffer

DESCRIPTION
This function will return a DER encoded CRL of the PKCS7 or RFC2630 crl set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. After the last crl has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2015 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/